<template>
  <UserList :users="users" v-if="users.length"/>
  <UserDetails :user="selectedUser"/>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import { mapState } from 'vuex'
import store from './store';
import UserList from './components/UserList.vue';
import UserDetails from './components/UserDetails.vue';

export default defineComponent({
  name: 'App',
  computed: {
    ...mapState([
      'selectedUser',
      'users',
    ]),
  },
  components: {
    UserList,
    UserDetails,
  },
  created() {
    store.dispatch('init');
  }
});
</script>

<style lang="scss">
@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@300;700&display=swap');

* {
  font-family: 'Quicksand', sans-serif;
  color: white;
  margin: 0;
  padding: 0;
}
#app {
  display: flex;
  height: 100vh;
  background: #161821;
}

@media only screen and (max-width: 800px) {
  #user-list {
    width: 100%;
  }
  #user-details {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    #user-details-back-button {
      display: block;
    }
  }
}
</style>
